name: Build Release

on: [release]

jobs:
  tests:
    uses: ./.gitea/workflows/tests.yaml

  build-docker:
    runs-on: ubuntu-latest

    permissions:
      packages: write
      contents: read

    strategy:
      matrix:
        service: [backend, frontend]

    steps:
      - uses: actions/checkout@v4
      - name: Log in to Registry
        uses: docker/login-action@v3
        with:
          registry: git.stws.cc
          username: ${{ github.actor }}
          password: ${{ secrets.REGISTRY_TOKEN }}
      - name: Extract metadata
        id: meta
        uses: docker/metadata-action@v5
        with:
          images: git.stws.cc/${{ github.repository }}/${{ matrix.service }}
          tags: |
            type=ref,event=tag
            type=raw,value=latest
      - name: Build and Push
        uses: docker/build-push-action@v6
        with:
          context: ./${{ matrix.service }}
          push: true
          tags: ${{ steps.meta.outputs.tags }}
          labels: ${{ steps.meta.outputs.labels }}
